import dotenv from "dotenv";
dotenv.config();

import path from "path";
import express from "express";
import engine from "ejs-mate";

import "@bot/bot";
import homeRouter from "@server/routers/home.router";
import { attachGuilds } from "@server/middleware/attachGuilds";

const app = express();

app.engine("ejs", engine);
app.set("view engine", "ejs");
app.set("views", path.resolve(__dirname, "client/views"));
app.use(express.urlencoded({ extended: true }));

app.use("/static", express.static(path.resolve(__dirname, "client/public")));

app.use("/", attachGuilds, homeRouter);

const HOST = process.env.HOST || "localhost";
const PORT = process.env.PORT || 3000;

app.listen(PORT, () => {
    console.log(`Server is listening on port http://${HOST}:${PORT}`);
});